Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.mappings.converters
Interface Converter

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  ClassInstanceConverter, JAXBTypesafeEnumConverter, ObjectTypeConverter, SerializedObjectConverter, TypeConversionConverter

public interface Converter
extends java.io.Serializable

Purpose: Conversion interface to allow conversion between object and data types. This can be used in any mapping to convert between the object and data types without requiring code placed in the object model. TopLink provides several common converters, but the application can also define it own.

Since:
  OracleAS TopLink 10g (10.0.3)
See Also:
  `AbstractDirectMapping.setConverter(Converter)`, `DirectCollectionMapping#setConverter(Converter)`, `ObjectTypeConverter`, `TypeConversionConverter`, `SerializedObjectConverter`

Method Summary
`java.lang.Object` | `convertDataValueToObjectValue(java.lang.Object dataValue, Session session)` PUBLIC: Convert the databases' data representation of the value to the object's representation.
`java.lang.Object` | `convertObjectValueToDataValue(java.lang.Object objectValue, Session session)` PUBLIC: Convert the object's representation of the value to the databases' data representation.
`void` | `initialize(DatabaseMapping mapping, Session session)` PUBLIC: Allow for any initialization.
`boolean` | `isMutable()` PUBLIC: If the converter converts the value to a mutable value, i.e.

Method Detail

### convertObjectValueToDataValue

    public java.lang.Object convertObjectValueToDataValue(java.lang.Object objectValue,
                                                          Session session)

  PUBLIC: Convert the object's representation of the value to the databases' data representation. For example this could convert between a Calendar Java type and the sql.Time datatype.

### convertDataValueToObjectValue

    public java.lang.Object convertDataValueToObjectValue(java.lang.Object dataValue,
                                                          Session session)

  PUBLIC: Convert the databases' data representation of the value to the object's representation. For example this could convert between an sql.Time datatype and the Java Calendar type.

### isMutable

    public boolean isMutable()

  PUBLIC: If the converter converts the value to a mutable value, i.e. a value that can have its' parts changed without being replaced, then it must return true. If the value is not mutable, cannot be changed without replacing the whole value then false must be returned. This is used within the UnitOfWork to determine how to clone.

### initialize

    public void initialize(DatabaseMapping mapping,
                           Session session)

  PUBLIC: Allow for any initialization.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD